echo "*** Removing Code Directory ***"
rm -r /usr/src/flylocal-web
echo "*** Making Code Directory ***"
mkdir -p /usr/src/flylocal-web
cd /usr/src
echo "*** Getting Code from Gitea ***"
git clone --depth 1 https://gitea.flylocal.us/spencer/flylocal-web.git
cd flylocal-web
echo "*** Killing Docker Containers ***"
sudo docker kill $(docker ps -q)
echo "*** Pruning Old Docker Images ***"
sudo docker image prune
echo "*** Building New Docker Image ***"
sudo docker build -t flylocal-web .
echo "*** Running Docker Image ***"
sudo docker run -it -p 3000:3000 flylocal-web